## irpas 0.9

=== Makefile ===
# IRPAS Makefile

CLIBS= -lpcap 
CFLAGS=-Wall -g -Wunused -Wmissing-prototypes -I. -L. \
	-I./libpcap-0.4 -L./libpcap-0.4
CC=gcc
RM=rm
CP=cp
TAR=tar
AR= ar rcs

RELEASE=IRPASrelease
RELVER=`grep "Version" IRPAS.version | awk '{print $$4}'`

OBJECTS= packets.o cdp.o igrp.o ass_v1.o irdp.o irdpresponder.o \
	itrace.o tctrace.o protos.o netmask.o file2cable.o dfkaa.o netenum.o \
	hsrp.o icmp_redirect.o timestamp.o 
PROGRAMS=cdp igrp ass irdp irdpresponder itrace tctrace protos \
	netmask file2cable dfkaa netenum hsrp icmp_redirect timestamp 
SOURCES=protocols.h packets.h packets.c protocol-numbers.h enum.c enum.h \
	cdp.c igrp.c ass_v1.c irdp.c irdpresponder.c \
	itrace.c tctrace.c protos.c netmask.c file2cable.c \
	netenum.c dfkaa.c hsrp.c icmp_redirect.c \
	build.h timestamp.c 

all: libpc ${PROGRAMS} 

libpc:
	( cd libpcap-0.4; ./configure; make )
# programs
dfkaa: dfkaa.o libpackets.a
	${CC} ${CFLAGS} -o dfkaa dfkaa.o -lpackets
dfkaa.o: dfkaa.c packets.h protocols.h 
	${CC} ${CFLAGS} -c dfkaa.c

netenum: netenum.o libpackets.a
	${CC} ${CFLAGS} -o netenum netenum.o -lpackets
netenum.o: netenum.c packets.h protocols.h enum.h 
	${CC} ${CFLAGS} -c netenum.c

hsrp: hsrp.o libpackets.a
	${CC} ${CFLAGS} -o hsrp hsrp.o -lpackets
hsrp.o: hsrp.c packets.h protocols.h 
	${CC} ${CFLAGS} -c hsrp.c

file2cable: file2cable.o libpackets.a
	${CC} ${CFLAGS} -o file2cable file2cable.o -lpackets
file2cable.o: file2cable.c packets.h protocols.h 
	${CC} ${CFLAGS} -c file2cable.c

cdp: cdp.o libpackets.a
	${CC} ${CFLAGS} -o cdp cdp.o -lpackets
cdp.o: cdp.c packets.h protocols.h 
	${CC} ${CFLAGS} -c cdp.c

igrp: igrp.o libpackets.a
	${CC} ${CFLAGS} -o igrp igrp.o -lpackets
igrp.o: igrp.c packets.h protocols.h 
	${CC} ${CFLAGS} -c igrp.c

timestamp: timestamp.o libpackets.a
	${CC} ${CFLAGS} -o timestamp timestamp.o -lpackets
timestamp.o: timestamp.c packets.h protocols.h 
	${CC} ${CFLAGS} -c timestamp.c

netmask: netmask.o libpackets.a
	${CC} ${CFLAGS} -o netmask netmask.o -lpackets
netmask.o: netmask.c packets.h protocols.h 
	${CC} ${CFLAGS} -c netmask.c

itrace: itrace.o libpackets.a
	${CC} ${CFLAGS} -o itrace itrace.o -lpackets
itrace.o: itrace.c packets.h protocols.h 
	${CC} ${CFLAGS} -c itrace.c

tctrace: tctrace.o libpackets.a
	${CC} ${CFLAGS} -o tctrace tctrace.o -lpackets
tctrace.o: tctrace.c packets.h protocols.h 
	${CC} ${CFLAGS} -c tctrace.c

protos: protos.o libpackets.a
	${CC} ${CFLAGS} -o protos protos.o -lpackets
protos.o: protos.c packets.h protocols.h protocol-numbers.h 
	${CC} ${CFLAGS} -c protos.c

irdp: irdp.o libpackets.a
	${CC} ${CFLAGS} -o irdp irdp.o -lpackets
irdp.o: irdp.c packets.h protocols.h 
	${CC} ${CFLAGS} -c irdp.c

irdpresponder: irdpresponder.o libpackets.a
	${CC} ${CFLAGS} -o irdpresponder irdpresponder.o -lpackets ${CLIBS}
irdpresponder.o: irdpresponder.c packets.h protocols.h 
	${CC} ${CFLAGS} -c irdpresponder.c

icmp_redirect.o: icmp_redirect.c packets.h protocols.h 
	${CC} ${CFLAGS} -c icmp_redirect.c
icmp_redirect: icmp_redirect.o libpackets.a 
	${CC} ${CFLAGS} -o icmp_redirect icmp_redirect.o -lpackets ${CLIBS}

ass_v1.o: ass_v1.c packets.h protocols.h 
	${CC} ${CFLAGS} -c ass_v1.c
ass: ass_v1.o libpackets.a 
	${CC} ${CFLAGS} -o ass ass_v1.o -lpackets ${CLIBS}
assS: ass_v1.o libpackets.a
	${CC} ${CFLAGS} -o assS ass_v1.o -lpackets ${CLIBS} -static

libpackets.a: packets.o enum.o 
	$(AR) libpackets.a packets.o enum.o
packets.o: packets.c  protocols.h
	$(CC) ${CFLAGS} -c packets.c
enum.o: enum.h enum.c 
	$(CC) $(CFLAGS) -c enum.c

clean:
	${RM} -f ${OBJECTS}

realclean:
	${RM} -f ${OBJECTS} ${PROGRAMS}

## irpas 0.10

=== Makefile ===
# Generated automatically from Makefile.in by configure.
#  Copyright (c) 1993, 1994, 1995, 1996
# 	The Regents of the University of California.  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that: (1) source code distributions
#  retain the above copyright notice and this paragraph in its entirety, (2)
#  distributions including binary code include the above copyright notice and
#  this paragraph in its entirety in the documentation or other materials
#  provided with the distribution, and (3) all advertising materials mentioning
#  features or use of this software display the following acknowledgement:
#  ``This product includes software developed by the University of California,
#  Lawrence Berkeley Laboratory and its contributors.'' Neither the name of
#  the University nor the names of its contributors may be used to endorse
#  or promote products derived from this software without specific prior
#  written permission.
#  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
# @(#) $Header: Makefile.in,v 1.72 97/06/30 13:56:14 leres Exp $ (LBL)

#
# Various configurable paths (remember to edit Makefile.in, not Makefile)
#

# Top level hierarchy
prefix = /usr/local
exec_prefix = ${prefix}
# Pathname of directory to install the include files
INCLDEST = ${prefix}/include
# Pathname of directory to install the library
LIBDEST =  ${exec_prefix}/lib
# Pathname of directory to install the man page
MANDEST = ${prefix}/man

# VPATH
srcdir = .

#
# You shouldn't need to edit anything below.
#

CC = gcc
CCOPT = -O2
INCLS = -I.  -Ilinux-include
DEFS =  -DHAVE_MALLOC_H=1 -DHAVE_ETHER_HOSTTON=1 -DHAVE_STRERROR=1 -DHAVE_NET_IF_ARP_H=1 

# Standard CFLAGS
CFLAGS = $(CCOPT) $(INCLS) $(DEFS)

INSTALL = /usr/bin/ginstall -c
RANLIB = ranlib

#
# Flex and bison allow you to specify the prefixes of the global symbols
# used by the generated parser.  This allows programs to use lex/yacc
# and link against libpcap.  If you don't have flex or bison, get them.
#
LEX = flex -Ppcap_
YACC = bison -y -p pcap_

# Explicitly define compilation rule since SunOS 4's make doesn't like gcc.
# Also, gcc does not remove the .o before forking 'as', which can be a
# problem if you don't own the file but can write to the directory.
.c.o:
	@rm -f $@
	$(CC) $(CFLAGS) -c $(srcdir)/$*.c

PSRC =	pcap-linux.c
CSRC =	pcap.c inet.c gencode.c optimize.c nametoaddr.c \
	etherent.c savefile.c bpf_filter.c bpf_image.c
GENSRC = scanner.c grammar.c version.c

SRC =	$(PSRC) $(CSRC) $(GENSRC)

# We would like to say "OBJ = $(SRC:.c=.o)" but Ultrix's make cannot
# hack the extra indirection
OBJ =	$(PSRC:.c=.o) $(CSRC:.c=.o) $(GENSRC:.c=.o)
HDR =	pcap.h pcap-int.h pcap-namedb.h pcap-nit.h pcap-pf.h \
	ethertype.h gencode.h gnuc.h
GENHDR = \
	tokdefs.h

TAGHDR = \
	bpf/net/bpf.h

TAGFILES = \
	$(SRC) $(HDR) $(TAGHDR)

CLEANFILES = $(OBJ) libpcap.a $(GENSRC) $(GENHDR) lex.yy.c

all: libpcap.a

libpcap.a: $(OBJ)
	@rm -f $@
	ar rc $@ $(OBJ)
	$(RANLIB) $@

scanner.c: $(srcdir)/scanner.l
	@rm -f $@
	$(LEX) -t $< > $$$$.$@; mv $$$$.$@ $@

scanner.o: scanner.c tokdefs.h
tokdefs.h: grammar.c
grammar.c: $(srcdir)/grammar.y
	@rm -f grammar.c tokdefs.h
	$(YACC) -d $<
	mv y.tab.c grammar.c
	mv y.tab.h tokdefs.h

grammar.o: grammar.c
	@rm -f $@
	$(CC) $(CFLAGS) -Dyylval=pcap_lval -c grammar.c

version.o: version.c
version.c: $(srcdir)/VERSION
	@rm -f $@
	sed -e 's/.*/char pcap_version[] = "&";/' $(srcdir)/VERSION > $@

install: force
	$(INSTALL) -m 444 -o bin -g bin libpcap.a $(DESTDIR)$(LIBDEST)/libpcap.a
	$(RANLIB) $(DESTDIR)$(LIBDEST)/libpcap.a

install-incl: force
	$(INSTALL) -m 444 -o bin -g bin $(srcdir)/pcap.h \
	    $(DESTDIR)$(INCLDEST)/pcap.h
	$(INSTALL) -m 444 -o bin -g bin $(srcdir)/pcap-namedb.h \
	    $(DESTDIR)$(INCLDEST)/pcap-namedb.h
	$(INSTALL) -m 444 -o bin -g bin $(srcdir)/net/bpf.h \
	    $(DESTDIR)$(INCLDEST)/net/bpf.h

install-man: force
	$(INSTALL) -m 444 -o bin -g bin $(srcdir)/pcap.3 \
	    $(DESTDIR)$(MANDEST)/man3/pcap.3

clean:
	rm -f $(CLEANFILES)

distclean:
	rm -f $(CLEANFILES) Makefile config.cache config.log config.status \
	    gnuc.h os-proto.h bpf_filter.c net

tags: $(TAGFILES)
	ctags -wtd $(TAGFILES)

tar:	force
	@cwd=`pwd` ; dir=`basename $$cwd` ; name=libpcap-`cat VERSION` ; \
	    list="" ; tar="tar chFFf" ; \
	    for i in `cat FILES` ; do list="$$list $$name/$$i" ; done; \
	    echo \
	    "rm -f ../$$name; ln -s $$dir ../$$name" ; \
	     rm -f ../$$name; ln -s $$dir ../$$name ; \
	    echo \
	    "(cd .. ; $$tar - [lots of files]) | compress > /tmp/$$name.tar.Z" ; \
	     (cd .. ; $$tar - $$list) | compress > /tmp/$$name.tar.Z ; \
	    echo \
	    "rm -f ../$$name" ; \
	     rm -f ../$$name

force:	/tmp
depend:	$(GENSRC) force
	./mkdep -c $(CC) $(DEFS) $(INCLS) $(SRC)

=== debian/changelog ===
irpas (0.10-9build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:36 +1100

irpas (0.10-9build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:28 +0100

irpas (0.10-9) unstable; urgency=medium

  * Refresh patches
  * Fix build for new glibc (Closes: #996426)
  * Bump Standards-Version to 4.6.0
  * Update my email address

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Oct 2021 14:47:04 +0200

irpas (0.10-8) unstable; urgency=medium

  * Team Upload

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/control: Add 'Rules-Requires-Root: no'

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 02 Feb 2021 00:52:02 +0000

irpas (0.10-7) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
  * d/compat:
    - Bump compat version to 11
  * d/ass.1:
    - Fix typo
  * d/igrp.1:
    - Fix typo
  * d/rules:
    - Add override_dh_missing target (--fail-missing)
  * d/copyright:
    - Update DEP-5 copyright syntax
    - Add GPL/ Phenoelit-License dual license to debianized files

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 17 Sep 2018 13:02:23 +0800

irpas (0.10-6) unstable; urgency=medium

  * Team upload.
  * Add "XS-Autobuild: yes" to allow automatic build on the build daemons.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 04 Jul 2016 16:01:01 +0200

irpas (0.10-5) unstable; urgency=medium

  [ Sophie Brun ]
  * Take over the package in the pkg-security team with the permission of
    Vince Mulhollon
  * Use format 3.0 (quilt)
  * Use debhelper 9 (Closes: #800293)
  * debian/control: improve description (Closes: #412534, #334566)
  * Improve Makefile to build with hardening options and fix the install
  * Update Standards-Version

  [ Raphaël Hertzog ]
  * Further cleanups of the Makefile.

 -- Sophie Brun <sophie@freexian.com>  Tue, 21 Jun 2016 10:11:14 +0200

irpas (0.10-4.1) unstable; urgency=low

  * NMU to unblock libpcap's transition to testing.
  * Fix build against libpcap0.8 (closes: #480578).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 27 Jun 2008 20:43:19 +0200

irpas (0.10-4) unstable; urgency=low

  * Rename netmask to inetmask to prevent conflict with package "netmask"
    (closes: Bug#176755)
  * Add #include <time.h> to ass_v1.c, cdp.c, dhcpx.c, timestamp.c
                          irdpresponder.c, itrace.c, protos.c
  * comment out the #endif /* _ENUM_H_ */ in enum.h
  * comment out the #endif /* __DEBUG__ */ in packets.c
  * comment out the #endif /* _PACKET_H_ */ in packets.h
  * comment out the #endif /* _PROTOCOL_NUMBERS_H_ */ in protocol-numbers.h
  * comment out #define IPPROTO_ICMP 0x01 and UDP and GRE in protocols.h
  * comment out the #endif /* _PROTOCOLS_H_ */ in protocols.h
  * Thanks to Cristian Ionescu-Idbohrn for these above patches

 -- Vince Mulhollon <vlm@debian.org>  Tue, 21 Jan 2003 16:46:20 -0600

irpas (0.10-3) unstable; urgency=low

  * Fixed typo in README.Debian (now points to correct directory)
    (closes: Bug#175116)
  * More manpages written. itrace, tctrace, netmask

 -- Vince Mulhollon <vlm@debian.org>  Mon, 13 Jan 2003 18:47:33 -0600

irpas (0.10-2) unstable; urgency=low

  * New copyright file, upstream explicitly allows redistribution.
    (closes: Bug#174107)
  * Wrote and added about 1/2 of the manpages.

 -- Vince Mulhollon <vlm@debian.org>  Wed,  1 Jan 2003 09:26:33 -0600

irpas (0.10-1) unstable; urgency=low

  * Initial Release.

 -- Vince Mulhollon <vlm@debian.org>  Mon, 16 Dec 2002 18:30:38 -0600

=== debian/control ===
Source: irpas
Section: non-free/net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13), libpcap-dev, libtirpc-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://www.phenoelit.org/fr/tools.html
Vcs-Git: https://salsa.debian.org/pkg-security-team/irpas.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/irpas
XS-Autobuild: yes

Package: irpas
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Internetwork Routing Protocol Attack Suite
 This package contains a collection of programs used for advanced network
 operations, testing, and debugging.
 .
 CDP and the route injectors can be useful in a production network.
 Several other tools are useful for security and firewall testing.
 Finally some tools such as netenum are useful for general admin
 scripting.
 .
 Like all powerful tools, it could cause great damage, so be careful.
 .
     * cdp - Cisco discovery protocol packet sender
     * igrp - IGRP route injector
     * ass - Autonomous system scanner
     * irdp - IRDP sender
     * irdpresponder - IRDP responder
     * itrace - ICMP based traceroute
     * tctrace - TCP SYN based traceroute
     * protos - ICMP based port scanner
     * netmask - Asks for netmask via ICMP
     * file2cable - Dumps any binary file direct to ethernet
     * dfkaa - Troubleshoot devices formerly known as Ascend (Pipeline, etc)
     * netenum - Ping scanner designed for shell scripts
     * hsrp - HSRP failover tester
     * icmp_redirect - ICMP redirection system
     * timestamp - ICMP timestamp requester
     * dhcpx - DHCP server "exerciser"

=== debian/watch ===
version=4
http://www.phenoelit.org/irpas/download.html (?:.*?/?)irpas_(.*)\.tar\.gz
